Bug 64840 - [RELNOTE] Broken network comunication on Linuxes with enabled IPv6
[RELNOTE] Broken network comunication on Linuxes with enabled IPv6
Status: RESOLVED WONTFIX
Product: platform
Classification: Unclassified
Component: Documentation
5.x
All Linux
: P4 (vote)
: TBD
Assigned To: Talley Mulligan
issues@platform
CLEAN
: RELNOTE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-21 14:46 UTC by Martin Schovanek
Modified: 2009-12-21 04:58 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schovanek 2005-09-21 14:46:55 UTC
[#20050911200, jdk1.4.2_09, RH Fedora Core 4]

Nb network communication is completely broken on 'RH Fedora Core 4' platform and
other Linuxes which are shipped with IPv6 enabled. Nb cannot connect to bundled
servers, Auto Update, etc.

In fact it is JDK1.4.2 problem on 'RH Fedora Core 4' platform, not a Nb issue.
However, we should relese note it since the jdk1.4.2_09 is supported platform
for Nb 5.0 and some users can encounter this problem. 

Workaround:
Run Nb with '-J-Djava.net.preferIPv4Stack=true' parameter. Alternatively disable
IPv6 (/etc/modules.conf or /etc/modprobe.conf).

For more information see:
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=5087907
Comment 1 Lukasz Grela 2006-01-04 09:51:59 UTC
during connection with derby jdk 1.4 and RH Fedora Core 4 the error message is
showing up "Unable to connect, cannot establish a connection to
jdbc:derby://localhost:1527/sample using otg.apache.derby.jdbc.ClientDriver
(java.security.PrivilegedActionException : Error openioning socket to server
localhost on port 1527 with message : null)"

workaround is working

Comment 2 Quality Engineering 2009-12-21 04:58:51 UTC
This bug was reported against NetBeans IDE 6.0 or an older release, or against a non-maintained module. NetBeans team does not have enough resources to get to this issue, therefore we are closing the issue as a WONTFIX. If you are interested in providing a patch for this bug, please see our NetFIX guidelines for how to proceed. 

We apologize for any inconvenience.


Thank you.
The NetBeans Team


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo